aboutsummaryrefslogtreecommitdiffstats
path: root/resources/tools/presentation/new/run_report.sh
diff options
context:
space:
mode:
authorVratko Polak <vrpolak@cisco.com>2018-06-08 18:07:35 +0200
committerTibor Frank <tifrank@cisco.com>2018-06-11 08:30:21 +0000
commitbeeb2acb9ac153eaa54983bea46a76d596168965 (patch)
tree0465617b135a2e64693265969c48ff466db3d287 /resources/tools/presentation/new/run_report.sh
parent3dcef45002a1b82c4503ec590d680950930fa193 (diff)
CSIT-1110: Integrate anomaly detection into PAL
+ Keep the original detection, + add the new one as subdirectory (both in source and in rendered tree). - The new detection is not rebased over "Add dpdk mrr tests to trending". New detection features: + Do not remove (nor detect) outliers. + Trend line shows the constant average within a group. + Anomaly circles are placed at the changed average. + Small bias against too similar averages. + Should be ready for moving the detection library out to pip. Change-Id: I7ab1a92b79eeeed53ba65a071b1305e927816a89 Signed-off-by: Vratko Polak <vrpolak@cisco.com>
Diffstat (limited to 'resources/tools/presentation/new/run_report.sh')
-rwxr-xr-xresources/tools/presentation/new/run_report.sh45
1 files changed, 45 insertions, 0 deletions
diff --git a/resources/tools/presentation/new/run_report.sh b/resources/tools/presentation/new/run_report.sh
new file mode 100755
index 0000000000..d294640fd1
--- /dev/null
+++ b/resources/tools/presentation/new/run_report.sh
@@ -0,0 +1,45 @@
+#!/bin/bash
+
+set -x
+
+RELEASE=$1
+
+# set default values in config array
+typeset -A CFG
+typeset -A DIR
+
+DIR[WORKING]=_tmp
+CFG[BLD_LATEX]=1
+
+# Install system dependencies
+sudo apt-get -y update
+sudo apt-get -y install libxml2 libxml2-dev libxslt-dev build-essential \
+ zlib1g-dev unzip
+
+if [[ ${CFG[BLD_LATEX]} -eq 1 ]] ;
+then
+ sudo apt-get -y install xvfb texlive-latex-recommended \
+ texlive-fonts-recommended texlive-fonts-extra texlive-latex-extra latexmk wkhtmltopdf inkscape
+ sudo sed -i.bak 's/^\(main_memory\s=\s\).*/\110000000/' /usr/share/texlive/texmf-dist/web2c/texmf.cnf
+fi
+
+# Create working directories
+mkdir ${DIR[WORKING]}
+
+# Create virtual environment
+virtualenv ${DIR[WORKING]}/env
+. ${DIR[WORKING]}/env/bin/activate
+
+# Install python dependencies:
+pip install -r requirements.txt
+
+export PYTHONPATH=`pwd`
+
+python pal.py \
+ --specification specification.yaml \
+ --release ${RELEASE} \
+ --logging INFO \
+ --force
+
+RETURN_STATUS=$(echo $?)
+exit ${RETURN_STATUS}